[Date Prev][Date Next][Thread Prev][Thread Next][Date Index][Thread Index]
[PATCH] maint: make some shell and perl scripts executable in 'tests/'
From: |
Bernhard Voelker |
Subject: |
[PATCH] maint: make some shell and perl scripts executable in 'tests/' |
Date: |
Sun, 21 Jul 2013 23:00:11 +0200 |
Some newer test scripts - partially ones from me - are not executable.
It does not seem to be a problem, but for consistency and to avoid
future problems on unusual platforms or shells change the permissions
by adding the executable bit.
* cfg.mk (sc_tests_executable): Add new syntax-check rule to ensure
that all test scripts are executable.
* tests/df/df-output.sh: Change file mode from 644 to 755.
* tests/du/threshold.sh: Likewise.
* tests/factor/run.sh: Likewise.
* tests/init.sh: Likewise.
* tests/misc/csplit-suppress-matched.pl: Likewise.
* tests/misc/numfmt.pl: Likewise.
* tests/tail-2/retry.sh: Likewise.
---
cfg.mk | 9 +++++++++
tests/df/df-output.sh | 0
tests/du/threshold.sh | 0
tests/factor/run.sh | 0
tests/init.sh | 0
tests/misc/csplit-suppress-matched.pl | 0
tests/misc/numfmt.pl | 0
tests/tail-2/retry.sh | 0
8 files changed, 9 insertions(+)
mode change 100644 => 100755 tests/df/df-output.sh
mode change 100644 => 100755 tests/du/threshold.sh
mode change 100644 => 100755 tests/factor/run.sh
mode change 100644 => 100755 tests/init.sh
mode change 100644 => 100755 tests/misc/csplit-suppress-matched.pl
mode change 100644 => 100755 tests/misc/numfmt.pl
mode change 100644 => 100755 tests/tail-2/retry.sh
diff --git a/cfg.mk b/cfg.mk
index 7b14c07..205617d 100644
--- a/cfg.mk
+++ b/cfg.mk
@@ -115,6 +115,15 @@ sc_tests_list_consistency:
| $(EGREP) "$$test_extensions_rx\$$"; \
} | sort | uniq -u | grep . && exit 1; :
+# Ensure that all version-controlled test scripts are executable.
+sc_tests_executable:
+ @for t in $(all_tests) \
+ tests/factor/run.sh tests/factor/create-test.sh tests/init.sh; do \
+ test -x $$t \
+ || { echo "$(ME): Please make test executable: $$t" 1>&2; \
+ exit 1; } \
+ done; :
+
# Create a list of regular expressions matching the names
# of files included from system.h. Exclude a couple.
.re-list:
diff --git a/tests/df/df-output.sh b/tests/df/df-output.sh
old mode 100644
new mode 100755
diff --git a/tests/du/threshold.sh b/tests/du/threshold.sh
old mode 100644
new mode 100755
diff --git a/tests/factor/run.sh b/tests/factor/run.sh
old mode 100644
new mode 100755
diff --git a/tests/init.sh b/tests/init.sh
old mode 100644
new mode 100755
diff --git a/tests/misc/csplit-suppress-matched.pl
b/tests/misc/csplit-suppress-matched.pl
old mode 100644
new mode 100755
diff --git a/tests/misc/numfmt.pl b/tests/misc/numfmt.pl
old mode 100644
new mode 100755
diff --git a/tests/tail-2/retry.sh b/tests/tail-2/retry.sh
old mode 100644
new mode 100755
--
1.8.3.1
- [PATCH] maint: make some shell and perl scripts executable in 'tests/',
Bernhard Voelker <=